<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Msptpd_parkir extends CI_Model
{

    public $table = 'SPTPD_PARKIR';
    public $id = 'ID_INC';
    public $kb = 'KODE_BILING';
    public $order = 'DESC';

    function __construct()
    {
        parent::__construct();
    }

    // datatables
    function json_supplier() {
        $t1 =$this->session->userdata('parkir_bulan');
        $t2 =$this->session->userdata('parkir_tahun');
        $cp =$this->session->userdata('parkir_npwpd');
        if ($this->session->userdata('parkir_tahun')!='' AND $this->session->userdata('parkir_bulan')!='' AND $this->session->userdata('parkir_npwpd')!='') {
            $wh ="MASA_PAJAK='$t1' AND TAHUN_PAJAK='$t2' AND NPWPD LIKE '%$cp%'";
        } else if ($this->session->userdata('parkir_tahun')!='' AND $this->session->userdata('parkir_bulan')!='') {
            $wh ="MASA_PAJAK='$t1' AND TAHUN_PAJAK='$t2'";
        } else if ($this->session->userdata('parkir_tahun')!='' AND $this->session->userdata('parkir_npwpd')!='') {
            $wh ="TAHUN_PAJAK='$t2' AND NPWPD LIKE '%$cp%'";
        } else if ($this->session->userdata('parkir_tahun')!='') {
            $wh ="TAHUN_PAJAK='$t2'";
        } else {
            $wh ="TO_CHAR(TGL_INSERT, 'mm')=TO_CHAR(SYSDATE, 'mm') ";
        }
        $this->datatables->select('ID_INC,MASA_PAJAK,TAHUN_PAJAK,NPWPD,NAMA_WP,ALAMAT_WP,DPP,PAJAK_TERUTANG,PENERIMAAN_NON_KARCIS,PENERIMAAN_KARCIS,KODE_BILING,USER_INSERT');
        $this->datatables->from("VIEW_SPTPD_PARKIR");
        $this->datatables->where($wh);
        if ($this->role==8) {
            $this->datatables->where("NPWPD='$this->nip'");
        }
        $this->db->order_by("TGL_INSERT DESC, TAHUN_PAJAK DESC, MASA_PAJAK DESC,ID_INC DESC");
        $this->datatables->add_column('action', '<div class="btn-group">'.anchor(site_url('Sptpd_parkir/detail/$1'),'<i class="fa fa-binoculars"></i>','class="btn btn-xs btn-primary"').anchor(site_url('Pdf/pdf/pdf_kode_biling/$1'),'<i class="fa fa-print"></i>','class="btn btn-xs btn-success"').'</div>', 'acak(KODE_BILING)');
        $this->datatables->add_column('actionb', '<div class="btn-group">'.anchor(site_url('Sptpd_parkir/detail/$1'),'<i class="fa fa-binoculars"></i>','class="btn btn-xs btn-primary"').anchor(site_url('Sptpd_parkir/update/$1'),'<i class="fa fa-edit"></i>','class="btn btn-xs btn-success"').anchor(site_url('Sptpdhiburan/hiburan/delete/$1'),'<i class="fa fa-trash"></i>','class="btn btn-xs btn-danger" id="delete" data-id="$1" href="javascript:void(0)"').anchor(site_url('Pdf/pdf/pdf_kode_biling/$1'),'<i class="fa fa-print"></i>','class="btn btn-xs btn-info"').'</div>', 'acak(KODE_BILING)');
        return $this->datatables->generate();
    }
 
    function getKracis($id){
        return $this->db->query("SELECT * FROM SPTPD_PARKIR_KARCIS where sptpd_parkir_id='$id'")->result();
    }
    // get data by id
    function get_by_id($id)
    {
        $this->db->where($this->kb, $id);
        return $this->db->get($this->table)->row();
    }
    
  

    // insert data
    function insert($data)
    {
        $this->db->insert($this->table, $data);
    }

    // update data
    function update($id, $data)
    {
        $this->db->where($this->id, $id);
        $this->db->update($this->table, $data);
    }

    // delete data
    function delete($id)
    {
        $this->db->where($this->id, $id);
        $this->db->delete($this->table);
    }


    function ListParent(){
        return $this->db->query("SELECT kode_menu,nama_menu FROM MENU WHERE PARENT_MENU=0 ORDER BY SORT_MENU ASC")->result();
    }

}

/* End of file Mmenu.php */
/* Location: ./application/models/Mmenu.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2017-04-08 05:30:09 */
/* http://harviacode.com */